Bug 107877 - deepin-desktop: xdg-email: no method available for opening 'mailto:'
Summary: deepin-desktop: xdg-email: no method available for opening 'mailto:'
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/AMDgpu (show other bugs)
Version: DRI git
Hardware: All Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords: security
Depends on:
Blocks:
 
Reported: 2018-09-09 22:50 UTC by Alberto Salvia Novella
Modified: 2019-08-13 06:27 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Fix (1.93 KB, patch)
2018-09-11 00:38 UTC, Alberto Salvia Novella
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alberto Salvia Novella 2018-09-09 22:50:42 UTC
HOW TO REPRODUCE:
Using Deepin as desktop environment, in the Terminal enter "xdg-email".

RESULT:
xdg-email: no method available for opening 'mailto:'

WORK AROUND:
1. sudo nano /usr/bin/xdg-email
2. Under the line "DEEPIN|Deepin|deepin)" change the variable "DE" to "gnome3"
Comment 2 Alberto Salvia Novella 2018-09-09 23:16:21 UTC
An easy fix could be using xdg-open instead:
xdg-open 'mailto:example@mail.com'
Comment 3 Alberto Salvia Novella 2018-09-11 00:38:59 UTC
Created attachment 141513 [details] [review]
Fix
Comment 4 Rex Dieter 2018-09-11 21:24:35 UTC
I would be more inclined to include your fix, if the patch included *only* the fix, and not the cosmetic bits of renaming things too (if you really want that, submit it separately)
Comment 5 Rex Dieter 2018-09-11 21:40:23 UTC
meh, I'll commit as-is, looks good on both issues
Comment 6 Rex Dieter 2018-09-11 21:41:14 UTC
committed, thanks.
Comment 7 Alberto Salvia Novella 2018-09-12 00:26:47 UTC
My pleasure.
Comment 8 Hualet Wang 2018-09-12 07:12:31 UTC
Hi, I'm a developer from deepin, it seems to be a little bit late, but I'm still wondering why the renaming is necessary ?
Comment 9 Alberto Salvia Novella 2018-09-12 13:54:28 UTC
The rationale starts here:

-         # Deepin Desktop Environments
-         DEEPIN|Deepin|deepin)
-           DE=dde;

+         Deepin)
+           DE=deepin;

The previous code was dead-spaghetti. Since I had to use that variable, it also looked like the right moment to clean it up too.

It's just simpler to name the desktop as the name given by the switch, specially when it's also the name given by $DESKTOP_SESSION:

- It's conceptually closer.
- It's more coherent overall.
- It removes the need of having that comment line.
- No other desktops were commented, breaking the style.
- The full word is more understandable than the acronym.
- It's also more natural to read.
- It's easier to search, both in documents and online.
Comment 10 Gary Wang 2018-09-13 01:13:12 UTC
-         DEEPIN|Deepin|deepin)

+         Deepin)

Why do you remove the DEEPIN|deepin match? It's for compatible reason since older version of DDE are using that. 

See https://bugs.freedesktop.org/show_bug.cgi?id=106143 .

Please consider revert the change about this part for better compatibility. Thx.
Comment 11 ajgar17374@gmail.com (Spammer; Account disabled) 2018-09-18 04:49:19 UTC
(deleted by admin)
Comment 12 Alberto Salvia Novella 2018-09-18 11:52:55 UTC
Above link is a scam.
Comment 13 srivastavpratik93@gmail.com (Spammer; Account disabled) 2018-10-03 06:18:37 UTC
(deleted by admin)
Comment 14 nonogodu@zdenka.net (Spammer; Account disabled) 2018-10-30 16:27:33 UTC
(deleted by admin)
Comment 15 Alberto Salvia Novella 2018-10-30 17:10:19 UTC
Above link is a scam.
Comment 16 avawilliam070@gmail.com (Spammer; Account disabled) 2018-11-21 09:04:11 UTC
(deleted by admin)
Comment 17 peterjenny915@gmail.com (Spammer; Account disabled) 2018-11-21 09:25:46 UTC
(deleted by admin)
Comment 18 mywifiext12@gmail.com (Spammer; Account disabled) 2019-01-21 07:26:19 UTC
(deleted by admin)
Comment 19 Alberto Salvia Novella 2019-01-21 10:30:07 UTC
Unsubscribing due to the frequency of spam. And reporting those sites as scam.
Comment 20 mywifiextsetupus@gmail.com (Spammer; Account disabled) 2019-01-30 21:50:11 UTC Comment hidden (spam)
Comment 21 mywifiextsetupus@gmail.com (Spammer; Account disabled) 2019-02-11 22:38:30 UTC Comment hidden (spam)
Comment 22 jack885256@gmail.com (Spammer; Account disabled) 2019-04-27 18:40:07 UTC Comment hidden (spam)
Comment 23 alanmsst00@gmail.com (Spammer; Account disabled) 2019-05-01 10:02:36 UTC Comment hidden (spam)
Comment 24 thecomplaintpointnew@gmail.com (Spammer; Account disabled) 2019-05-16 10:39:43 UTC Comment hidden (spam)
Comment 25 alan@mywiefiext.net (Spammer; Account disabled) 2019-06-06 07:21:00 UTC Comment hidden (spam)
Comment 26 caremywifiext@gmail.com (Spammer; Account disabled) 2019-06-14 07:04:27 UTC Comment hidden (spam)
Comment 27 julieglenn233@gmail.com (Spammer; Account disabled) 2019-06-25 10:31:46 UTC Comment hidden (spam)
Comment 28 rozersamith@gmail.com (Spammer; Account disabled) 2019-07-01 09:37:16 UTC Comment hidden (spam)
Comment 29 connectlinksys@gmail.com (Spammer; Account disabled) 2019-08-05 10:57:04 UTC Comment hidden (spam)


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.